# griddle

`griddle` is a program for practicing drawing using the [Grid Technique](https://www.art-is-fun.com/grid-method).
It takes an input image and uses [ImageMagick](https://imagemagick.org) to automatically draw a grid (of specified dimensions) over it.

## Installation
`griddle` is a shell script; you can copy it to somewhere in your `$PATH` or just clone the repository and execute it.

## Usage
The CLI interface for `griddle` is `griddle <inputfile> <number_of_columns> <number_of_rows> <outputfile>`.
This is the number of **columns** and **rows**, not the number of separators.
For example, specifying "2" columns will result in **one** line splitting the image vertically.
Border lines around the edge of the image are always generated.

It supports any input and output file formats that ImageMagick supports.
The input and output files don't need to be the same format; you can input a PNG and output a JPEG, for example.

## Planned Features
- Generate an additional output image (or PDF?) containing a blank copy of just the generated grid which can be printed out, to save the effort of manually recreating the grid on your drawing paper.
- Improve the CLI interface with `--options` to remove the arbitrary ordering of `<number_of_columns>` and `<number_of_rows>`.
- Make border lines optional.
- Allow the user to adjust the color and transparency of grid lines.
- Add a default output filename (something like `<inputfilename>_grid.<inputextension>`) if no output filename is explicitly given.
